Bug 239755 - [new port] net/tacacs: TACACS+ daemon from pro-bono
Summary: [new port] net/tacacs: TACACS+ daemon from pro-bono
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-10 06:41 UTC by akuz84
Modified: 2019-08-13 18:50 UTC (History)
2 users (show)

See Also:


Attachments
[new port] net/tacacs (10.65 KB, text/plain)
2019-08-10 06:41 UTC, akuz84
no flags Details
[new port] net/tacacs ( fixed version ) (10.41 KB, text/plain)
2019-08-10 19:06 UTC, akuz84
no flags Details
Fixed version ( 11.2-R, 12.0-R ) (11.49 KB, text/plain)
2019-08-12 07:12 UTC, akuz84
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description akuz84 2019-08-10 06:41:45 UTC
Created attachment 206412 [details]
[new port] net/tacacs

tac_plus is a TACACS+ daemon. It provides Cisco Systems routers and access servers with authentication, authorisation and accounting services.

This version is a major rewrite of the original Cisco source code. Key features include:
- NAS specific host keys, prompts, enable passwords
- NAS- and ACL-dependent group memberships
- Flexible external backends for user profiles (e.g. via PERL scripts or C; LDAP (including ActiveDirectory), RADIUS and others are included)
- Connection multiplexing (multiple concurrent NAS clients per process)
- Session multiplexing (multiple concurrent sessions per connection, single-connection)
- Scalable, no limit on users, clients or servers
- CLI context aware. At the time of writing this, no other TACACS+ daemon is.
- Both IPv4 and IPv6 are fully supported.
- Compliant to latest TACACS+ protocol specification (draft 1.78)

http://www.pro-bono-publico.de/projects/tac_plus.html#AEN9
Comment 1 Kurt Jaeger freebsd_committer 2019-08-10 11:27:34 UTC
Please test the port with portlint -AC, the port has a few things that need to be fixed.
Comment 2 akuz84 2019-08-10 19:06:10 UTC
Created attachment 206424 [details]
[new port] net/tacacs ( fixed version )

Tested and fixed version attached.
Comment 3 Kurt Jaeger freebsd_committer 2019-08-10 21:15:44 UTC
Thanks, looks much better. It still needs:

USES=           gmake perl5

and then fails, at least on current, in build, because it needs openssl1.0.2,
see:

https://people.freebsd.org/~pi/logs/tacacs-cur.txt

and on 11.2, in stage due to 'install' having issues, see:

https://people.freebsd.org/~pi/logs/tacacs-112.txt

Can you test with poudriere as the build environment ?
Comment 4 akuz84 2019-08-12 07:12:42 UTC
Created attachment 206465 [details]
Fixed version ( 11.2-R, 12.0-R )

Hello.
Whats new in new version:
- fixed some things for correct building on 11.2 and 12.0.
- tested with poudriere ( on 11.2 and 12.0 jails )
- license was changed from gplv2 to UNKNOWN, added license file

I  tested it with poudriere on 13.0 jail ( , but my host system is 12.0-R,  anyway building has done without errors.

During testing on 13.0-R were some warnings, thes looked like this:
[00:00:00] Warning: !!! Jail is newer than host. (Jail: 1300039, Host: 1200086) !!!
[00:00:00] Warning: This is not supported.
[00:00:00] Warning: Host kernel must be same or newer than jail.
[00:00:00] Warning: Expect build failures.
Comment 5 Kurt Jaeger freebsd_committer 2019-08-13 18:49:14 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2019-08-13 18:50:01 UTC
A commit references this bug:

Author: pi
Date: Tue Aug 13 18:49:11 UTC 2019
New revision: 508845
URL: https://svnweb.freebsd.org/changeset/ports/508845

Log:
  New port: net/tacacs

  tac_plus is a TACACS+ daemon. It provides Cisco Systems routers and
  access servers with authentication, authorisation and accounting services.

  This version is a major rewrite of the original Cisco source code.
  Key features include:
  - NAS specific host keys, prompts, enable passwords
  - NAS- and ACL-dependent group memberships
  - Flexible external backends for user profiles (e.g. via PERL scripts or C;
    LDAP (including ActiveDirectory), RADIUS and others are included )
  - Connection multiplexing (multiple concurrent NAS clients per process)
  - Session multiplexing
  - Scalable, no limit on users, clients or servers
  - CLI context aware. At the time of writing this, no other TACACS+ daemon is.
  - Both IPv4 and IPv6 are fully supported.
  - Compliant to latest TACACS+ protocol specification (draft 1.78)

  WWW: http://www.pro-bono-publico.de/projects/tac_plus.html

  PR:		239755
  Submitted by:	akuz84@gmail.com

Changes:
  head/net/Makefile
  head/net/tacacs/
  head/net/tacacs/Makefile
  head/net/tacacs/distinfo
  head/net/tacacs/files/
  head/net/tacacs/files/tac_plus.in
  head/net/tacacs/pkg-descr
  head/net/tacacs/pkg-message
  head/net/tacacs/pkg-plist